defmodule PrymnWeb.ServerLive.Show do
  use PrymnWeb, :live_view

  alias Prymn.Servers

  @impl true
  def mount(_params, _session, socket) do
    {:ok, socket}
  end

  @impl true
  def handle_params(%{"id" => id}, _, socket) do
    server = Servers.get_server!(id)

    {:noreply,
     socket
     |> assign(:page_title, server.name)
     |> assign(:server, server)}
  end
end
